from fastapi import Depends
from psycopg import AsyncConnection

from app.auth.project_dependencies import (
    get_project_pg_connection,
    get_project_timescale_connection,
)


async def get_timescale_connection(
    conn: AsyncConnection = Depends(get_project_timescale_connection),
):
    yield conn


async def get_postgres_connection(
    conn: AsyncConnection = Depends(get_project_pg_connection),
):
    yield conn
